Skip to main content

Create lease

POSThttps://api.propexo.com/v1/leases/

Create a lease for an integration.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired
    typestring

    The type associated with the lease

    Show 3 enum values
    FixedFixedWithRolloverAtWill
    unit_idstring

    The Propexo unique identifier for the unit

    start_datestring

    The start date associated with the lease

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    first_namestring

    The first name associated with the applicant. Required if lead_id is not specified

    last_namestring

    The last name associated with the applicant. Required if lead_id is not specified

    address_1string

    The first address line associated with the resident

    citystring

    The city associated with the resident

    statestring

    The state associated with the resident

    zipstring

    The zip code associated with the resident

    countrystring

    The country associated with the resident

    Show 1 enum value
    US
    financial_account_idstring

    The Propexo unique identifier for the financial account

    end_datestring

    The end date associated with the lease

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    send_welcome_emailboolean

    Whether to send a welcome email to the tenant

    Default value: false
    email_1string<email>

    The primary email address associated with the applicant

    email_2string<email>

    The secondary email address associated with the resident

    phone_1string

    Primary phone number associated with the applicant

    Possible values: Value must match regular expression ^\d{10}$

    phone_1_typestring

    Type of the primary phone number

    Show 4 enum values
    FAXHOMEMOBILEWORK
    phone_2string

    Secondary phone number associated with the applicant

    Possible values: Value must match regular expression ^\d{10}$

    phone_2_typestring

    Type of the secondary phone number

    Show 4 enum values
    FAXHOMEMOBILEWORK
    date_of_birthstring

    The date of birth associated with the applicant

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    address_2string

    The second address line associated with the resident

    address_1_alternatestring

    The first alternate address line associated with the resident

    Possible values: <= 100 characters

    address_2_alternatestring

    The second alternate address line associated with the resident

    Possible values: <= 100 characters

    city_alternatestring

    The alternate city associated with the resident

    Possible values: <= 100 characters

    state_alternatestring

    The alternate state associated with the resident

    zip_alternatestring

    The alternate zip code associated with the resident

    country_alternatestring

    The alternate country associated with the resident

    Show 1 enum value
    US
    rent_cyclestring

    The duration in which rent charges will be automatically appended to the lease ledger

    Show 9 enum values
    MonthlyWeeklyEvery2WeeksQuarterlyYearlyEvery2MonthsDailyEvery6MonthsOneTime
    rent_amount_in_centsinteger

    The rent amount in cents for the lease

    Possible values: > 0

    rent_due_datestring

    The rent due date associated with the lease. The timestamp will be stripped off and only the date will be used

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    property_idstring

    The Propexo unique identifier for the property

    lease_period_idstring

    The Propexo unique identifier for the lease period

    floor_plan_idstring

    The Propexo unique identifier for the floor plan

    scheduled_move_in_datestring

    The move-in date associated with the lease

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    primary_contact_idstring

    The Propexo unique identifier of the primary contact. This must either be a lead, applicant, or resident in Propexo

    tenants object[]

    An array of Propexo lead, applicant, or resident IDs. This must also include the primary contact ID

  • Array [
  • idstringrequired

    The Propexo unique identifier for the lead, applicant, or resident

  • ]
  • scheduled_move_out_datestring<date-time>

    The scheduled move-out date associated with the lease

    statusstring

    The status associated with the lease

    Show 2 enum values
    PENDINGACTIVE
    resident_idstring

    The Propexo unique identifier for the resident

    realized_move_in_datestring<date-time>

    The move-in date associated with the lease

    realized_move_out_datestring<date-time>

    The move-out date associated with the lease

    employee_idstring

    The Propexo unique identifier for the employee. Employee must have a role of LEASING_AGENT. Required if lead_id is not specified

    nsf_fee_amount_in_centsinteger

    The NSF fee amount in cents for the lease

    Possible values: > 0

    associated_resident_idsstring[]

    A list of Propexo Resident IDs associated with the lease. The resident must be a primary.

    Possible values: >= 1

    resident_charges object[]

    A list of move in charges for the lease

  • Array [
  • financial_account_idstringrequired

    The Propexo unique identifier for the financial account

    post_datestringrequired

    The post date for the resident charge

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    descriptionstringrequired

    Description of the resident charge

    amount_in_centsintegerrequired

    The amount of the resident charge, in cents

    Possible values: > 0

    is_proratedbooleanrequired

    Whether or not the resident charge is prorated

  • ]
  • recurring_resident_charges object[]

    A list of recurring charges for the lease

  • Array [
  • financial_account_idstringrequired

    The Propexo unique identifier for the financial account

    start_datestringrequired

    The start date associated with the recurring resident charge

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestring

    The end date associated with the recurring resident charge

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    descriptionstringrequired

    Description of the resident charge

    amount_in_centsintegerrequired

    The amount of the recurring resident charge, in cents

    Possible values: > 0

    charge_due_dayintegerrequired

    The day of the month the charge is due

    Possible values: > 0 and <= 31

    frequency_rawintegerrequired

    The raw value of the frequency of the recurring resident charge. This will be the frequency (in months) for Rentvine

    Possible values: > 0 and <= 12

  • ]
  • other_occupants object[]

    A list of other occupants for the application

  • Array [
  • relationshipstringrequired

    The relationship of the occupant to the applicant

    Show 4 enum values
    ROOMMATESPOUSEGUARANTOROTHER
    first_namestringrequired

    The first name associated with the occupant

    last_namestringrequired

    The last name associated with the occupant

    third_party_idstringrequired

    A unique ID you would like to associate with the occupant. This is not the Yardi occupant ID

    Possible values: non-empty

    organization_namestringrequired

    The name of your organization. Yardi uses this for associating an occupant

    email_1string<email>

    The primary email address associated with the occupant

    phone_1string

    Primary phone number associated with the occupant

    Possible values: Value must match regular expression ^\d{10}$

    phone_1_typestring

    Type of the primary phone number

    Show 4 enum values
    FAXHOMEMOBILEWORK
    phone_2string

    Secondary phone number associated with the occupant

    Possible values: Value must match regular expression ^\d{10}$

    phone_2_typestring

    Type of the secondary phone number

    Show 4 enum values
    FAXHOMEMOBILEWORK
    address_1string

    The first address line associated with the occupant

    citystring

    The city associated with the occupant

    statestring

    The state associated with the occupant

    Show 70 enum values
    AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT
    zipstring

    The zip code associated with the occupant

  • ]
  • lead_idstring

    The Propexo unique identifier for the lead. The lead will be converted to an applicant

    lead_source_idstring

    The Propexo unique identifier for the lead source. Required if lead_id is not specified

    third_party_idstring

    A unique ID you would like to associate with the applicant. This is not the Yardi applicant ID. Required if lead_id is not specified

    Possible values: non-empty

    organization_namestring

    The name of your organization. Yardi uses this for associating an applicant. Required if lead_id is not specified

    middle_namestring

    The middle name associated with the applicant

    maiden_namestring

    The maiden name associated with the applicant

    move_in_datestring

    The desired move-in date to the unit listed in the application

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    move_out_datestring

    The desired move-out date to the unit listed in the application

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    desired_lease_term_in_monthsstring

    The desired lease term in months of the applicant

    notesstring

    Notes associated with the applicant

    is_evictedboolean

    Whether the applicant has been evicted

    is_felonyboolean

    Whether the applicant has a felony

    is_criminal_chargeboolean

    Whether the applicant has a criminal charge

    eviction_descriptionstring

    The description of the eviction

    felony_descriptionstring

    The description of the felony

    criminal_charge_descriptionstring

    The description of the criminal charge

    marital_statusstring

    The marital status of the applicant

    Show 2 enum values
    SINGLEMARRIED
    identification_numberstring

    The social security number of the applicant

    drivers_license_numberstring

    The driver's license number of the applicant

    address_history object[]

    The address history of the applicant

    Possible values: <= 2

  • Array [
  • address_1stringrequired

    The first address line associated with the applicant's historical address

    citystringrequired

    The city associated with the applicant's historical address

    statestringrequired

    The state associated with the applicant

    Show 70 enum values
    AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT
    zipstringrequired

    The zip code associated with the applicant's historical address

    countrystring

    The country associated with the applicant's historical address. If your application needs to support submitting an applicant who resides in another country, please reach out to Propexo Support for help

    Show 2 variants
    • stringUSCA
    • string
    notice_providedbooleanrequired

    Whether notice has been given to the applicant's historical address

    property_namestring

    The property name of the applicant's historical address

    reason_for_leavingstring

    The reason the applicant left their historical address

    monthly_payment_in_centsinteger

    For the applicant's historical address, the applicant's monthly payment for rent or mortgage in cents

    Possible values: >= 0

    move_in_datestringrequired

    The date when the applicant moved into their historical address

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    move_out_datestring

    The date when the applicant moved out of their historical address. If this is the applicant's current address, omit this field

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    manager_phonestring

    The phone number of a property manager who works at this address

    Possible values: Value must match regular expression ^\d{10}$

    manager_emailstring<email>

    The email of a property manager who works at this address

    management_companystring

    The name of the company who owns the property at this address

  • ]
  • emergency_contacts object[]

    A list of emergency contacts for the applicant

    Possible values: <= 1

  • Array [
  • first_namestringrequired

    The first name of the emergency contact

    last_namestringrequired

    The last name of the emergency contact

    relationshipstringrequired

    The relationship of the emergency contact to the applicant

    Show 6 enum values
    DAUGHTERFRIENDHUSBANDSONWIFEOTHER
    address_1string

    The first line of the address of the emergency contact

    citystring

    The city of the address of the emergency contact

    statestring

    The state of the address of the emergency contact

    Show 70 enum values
    AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT
    zipstring

    The zip code of the address of the emergency contact

    countrystring

    The country of the address of the emergency contact. If your application needs to support submitting an applicant who resides in another country, please reach out to Propexo Support for help

    Show 2 variants
    • stringUSCA
    • string
    phone_1string

    The phone number of the emergency contact

    Possible values: Value must match regular expression ^\d{10}$

  • ]
  • employment_history object[]

    The employment history of the applicant

    Possible values: <= 2

  • Array [
  • is_current_employerbooleanrequired

    Whether this employment history entry is for a current employer

    namestringrequired

    The name of the employer

    start_datestringrequired

    The start date of the applicant's employment at this employer

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestring

    The end date of the applicant's employment at this employer. Ignore this field if is_current_employer is set to true

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    address_1string

    The first line of the address of the employer

    citystring

    The city of the address of the employer

    statestring

    The state of the address of the employer

    Show 70 enum values
    AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT
    zipstring

    The zip code of the address of the employer

    phonestring

    The phone number of the employer

    Possible values: Value must match regular expression ^\d{10}$

    supervisor_first_namestring

    The first name of the applicant's supervisor at this employer

    supervisor_last_namestring

    The last name of the applicant's supervisor at this employer

    positionstring

    The position held at this employer, or the job description of the applicant

    monthly_income_in_centsintegerrequired

    The monthly income of the applicant at this employer in cents

    Possible values: >= 0

  • ]
  • other_income object[]

    A list of other income sources for the applicant

    Possible values: <= 2

  • Array [
  • sourcestringrequired

    The source of the income for the applicant

    monthly_income_in_centsintegerrequired

    The monthly income from this income source in cents

    Possible values: >= 0

  • ]
  • vehicles object[]

    A list of vehicles for the application

    Possible values: <= 4

  • Array [
  • makestringrequired

    The make of the vehicle

    modelstring

    The model of the vehicle

    yearinteger

    The year the vehicle was made

    colorstring

    The color of the vehicle

    license_plate_numberstring

    The license plate number of the vehicle

    license_plate_statestring

    The issuing state of the license plate

  • ]
  • pets object[]

    A list of applicant pets

    Possible values: <= 6

  • Array [
  • typestringrequired

    The type associated with the applicant pet

    namestring

    The name associated with the applicant pet

    age_in_yearsinteger

    The age in years of the applicant pet

    Possible values: >= 0

    weight_in_poundsinteger

    The weight in pounds of the applicant pet

    Possible values: >= 0

    breedstring

    The breed of the applicant pet

    colorstring

    The color of the applicant pet

    genderstring

    The raw value for the gender of the applicant pet

    is_fixedboolean

    Whether the applicant pet is fixed

    is_service_animalboolean

    Whether the applicant pet is a service animal

  • ]
  • concession_fees object[]

    A list of concession fees for the application

  • Array [
  • start_datestringrequired

    The start date of the applicant's recurring concession fee

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestringrequired

    The end date of the applicant's recurring concession fee

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    concession_idstringrequired

    The Propexo unique identifier for the concession. This concession must be associated with the unit that the applicant is applying for

  • ]
  • application_fees object[]

    A list of application fees for the application

  • Array [
  • charge_code_idstringrequired

    The Propexo unique identifier for the charge code. This must be an application fee charge code

    amount_in_centsintegerrequired

    The application fee amount in cents

    Possible values: >= 0

    descriptionstring

    Description of the application fee

  • ]

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/leases/
curl -X POST https://api.propexo.com/v1/leases/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
200 Successful response
{
"job_id": "string",
"data": {}
}